%define upstream_name    Template-Plugin-Autoformat
%define upstream_version 2.77

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Interface to Text::Autoformat module
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Template)
BuildRequires: perl(Text::Autoformat)
BuildArch: noarch

%description
This Template plugin module is an interface to Damian Conway's
'Text::Autoformat' Perl module which provides advanced text wrapping and
formatting.

*NOTE* as of version 2.75 the usage has changed to initial cap 'Autoformat'
instead of the previous 'autoformat'. This brings it into alignment with
standard plugin syntax.

Configuration options may be passed to the plugin constructor via the 'USE'
directive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.770.0-5.mga9
+ Revision: 1805988
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.770.0-4.mga8
+ Revision: 1497282
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.770.0-3.mga7
+ Revision: 1271585
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.770.0-2.mga6
+ Revision: 1033878
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.770.0-1.mga6
+ Revision: 1007315
- imported package perl-Template-Plugin-Autoformat


* Thu Apr 28 2016 cpan2dist 2.77-1mga
- initial mageia release, generated with cpan2dist
